import Vue from "vue";
/**
 * @Description: 等待圈公共服务【~~调用时使用this.$amLoading.方法~~】
 * @author LiuBo
 * @date 2021/3/10
 * @time 20:05
 */
declare class WaitingService implements WaitingIf {
    private instance;
    private count;
    /**
     * @Description: 提交提示
     * @author LiuBo
     * @date 2018/12/26
     * @time 17:50
     */
    submit(): void;
    /**
     * @Description: 删除提示
     * @author LiuBo
     * @date 2018/12/26
     * @time 17:50
     */
    delete(): void;
    /**
     * @Description: 保存提示
     * @author LiuBo
     * @date 2018/12/26
     * @time 17:50
     */
    save(): void;
    /**
     * @Description: 更新提示
     * @author LiuBo
     * @date 2018/12/26
     * @time 17:50
     */
    update(): void;
    /**
     * @Description: 查询提示
     * @author LiuBo
     * @date 2018/12/26
     * @time 18:01
     * @param text  提示内容
     */
    open(text?: string): void;
    /**
     * @Description: 初始化
     * @author LiuBo
     * @date 2018/12/26
     * @time 18:01
     */
    init(): void;
    /**
     * @Description: 显示等待圈
     * @author LiuBo
     * @date 2021/3/10
     * @time 18:05
     */
    private show;
    /**
     * @Description: 关闭等待圈
     * @author LiuBo
     * @date 2021/3/10
     * @time 18:05
     */
    close(component: Vue): void;
}
declare const waitingService: WaitingService;
export default waitingService;
/**
 * @Description: 方法类型
 * @author LiuBo
 * @date 2021/3/10
 * @time 18:20
 */
export interface WaitingIf {
    open: (text?: string) => void;
    submit: () => void;
    save: () => void;
    update: () => void;
    delete: () => void;
    init: () => void;
    close: (component: Vue) => void;
}
